%define upstream_name    threads-shared
%define upstream_version 1.48

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    Perl extension for sharing data structures between threads
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://search.cpan.org/CPAN/authors/id/J/JD/JDHEDDEN/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Config)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(ExtUtils::testlib)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test)
BuildRequires: perl(Test::More)
BuildRequires: perl(XSLoader)
BuildRequires: perl(strict)
BuildRequires: perl(threads) >= 1.730.0
BuildRequires: perl(warnings)
BuildRequires: perl-devel
Provides:   perl(threads::shared)

%description
By default, variables are private to each thread, and each newly created
thread gets a private copy of each existing variable. This module allows
you to share variables across different threads (and pseudo-forks on
Win32). It is used together with the the threads manpage module.

This module supports the sharing of the following data types only: scalars
and scalar refs, arrays and array refs, and hashes and hash refs.

%prep
%setup -q -n %{upstream_name}-%{upstream_version} 

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
make test

%install
%makeinstall_std

%files
%doc Changes META.json META.yml MYMETA.yml README examples
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Sun Jun 19 2016 pterjan <pterjan> 1.480.0-4.mga6
+ Revision: 1035192
- Rebuild for perl 5.22.2

* Fri Feb 12 2016 umeabot <umeabot> 1.480.0-3.mga6
+ Revision: 958135
- Mageia 6 Mass Rebuild

* Fri Jun 26 2015 tv <tv> 1.480.0-2.mga6
+ Revision: 845367
- rebuild for soname-ifed perl

* Tue Jun 23 2015 sander85 <sander85> 1.480.0-1.mga6
+ Revision: 841423
- update to 1.48

* Sun Oct 19 2014 umeabot <umeabot> 1.460.0-5.mga5
+ Revision: 788767
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 1.460.0-4.mga5
+ Revision: 744704
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.460.0-3.mga5
+ Revision: 687064
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 jquelin <jquelin> 1.460.0-2.mga5
+ Revision: 632379
- perl 5.20.0 rebuild

* Mon Feb 10 2014 jquelin <jquelin> 1.460.0-1.mga5
+ Revision: 588847
- update to 1.46

* Sat Oct 19 2013 umeabot <umeabot> 1.430.0-2.mga4
+ Revision: 526340
- Mageia 4 Mass Rebuild

* Mon Jun 03 2013 jquelin <jquelin> 1.430.0-1.mga4
+ Revision: 436683
- update to 1.43

* Wed May 29 2013 jquelin <jquelin> 1.420.0-5.mga4
+ Revision: 432335
- perl 5.18.0 rebuild

* Wed May 29 2013 jquelin <jquelin> 1.420.0-4.mga4
+ Revision: 432203
- perl 5.18.0 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.420.0-3.mga3
+ Revision: 375580
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Nov 14 2012 jquelin <jquelin> 1.420.0-2.mga3
+ Revision: 317869
- perl 5.16.2 rebuild

* Wed Oct 03 2012 jquelin <jquelin> 1.420.0-1.mga3
+ Revision: 302380
- update to 1.42

* Mon Sep 17 2012 jquelin <jquelin> 1.410.0-1.mga3
+ Revision: 295097
- update to 1.41

* Wed May 30 2012 jquelin <jquelin> 1.400.0-3.mga3
+ Revision: 251252
- rebuild for perl 5.16

* Fri Nov 04 2011 jquelin <jquelin> 1.400.0-2.mga2
+ Revision: 162847
- take priority over module bundled with perl 5.14.2

* Mon Sep 26 2011 jquelin <jquelin> 1.400.0-1.mga2
+ Revision: 148307
- update to 1.40

* Wed Jun 15 2011 jquelin <jquelin> 1.370.0-1.mga2
+ Revision: 107617
- update to 1.37

* Sat Jun 11 2011 spuhler <spuhler> 1.360.0-2.mga2
+ Revision: 103680
- increase rel for rebuild

* Sat Feb 26 2011 jquelin <jquelin> 1.360.0-1.mga1
+ Revision: 60634
- update to 1.36

* Sat Jan 22 2011 jquelin <jquelin> 1.340.0-1.mga1
+ Revision: 32573
- mageia rebuild
- imported package perl-threads-shared

